FacetParams.FacetRangeInclude (Solr 3.6.2 API)
Keywords: org.apache.solr.common.params.FacetParams.FacetRangeInclude class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.solr.common.params
Enum FacetParams.FacetRangeInclude

    java.lang.Object
      java.lang.Enum<FacetParams.FacetRangeInclude>
          org.apache.solr.common.params.FacetParams.FacetRangeInclude

All Implemented Interfaces:
  Serializable, Comparable<FacetParams.FacetRangeInclude>

Enclosing interface:
  FacetParams

    public static enum FacetParams.FacetRangeInclude

extends Enum<FacetParams.FacetRangeInclude>

An enumeration of the legal values for `FacetParams.FACET_DATE_INCLUDE` and `FacetParams.FACET_RANGE_INCLUDE`

- lower = all gap based ranges include their lower bound
- upper = all gap based ranges include their upper bound
- edge = the first and last gap ranges include their edge bounds (ie: lower for the first one, upper for the last one) even if the corrisponding upper/lower option is not specified
- outer = the BEFORE and AFTER ranges should be inclusive of their bounds, even if the first or last ranges already include thouse boundaries.
- all = shorthand for lower, upper, edge, and outer

See Also:
  `FacetParams.FACET_DATE_INCLUDE`, `FacetParams.FACET_RANGE_INCLUDE`

Enum Constant Summary
`ALL`
`EDGE`
`LOWER`
`OUTER`
`UPPER`

Method Summary
`static FacetParams.FacetRangeInclude` | `get(String label)`
`static EnumSet<FacetParams.FacetRangeInclude>` | `parseParam(String[] param)` Convinience method for parsing the param value according to the correct semantics and applying the default of "LOWER"
`String` | `toString()`
`static FacetParams.FacetRangeInclude` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FacetParams.FacetRangeInclude[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALL

    public static final FacetParams.FacetRangeInclude ALL

### LOWER

    public static final FacetParams.FacetRangeInclude LOWER

### UPPER

    public static final FacetParams.FacetRangeInclude UPPER

### EDGE

    public static final FacetParams.FacetRangeInclude EDGE

### OUTER

    public static final FacetParams.FacetRangeInclude OUTER

Method Detail

### values

    public static final FacetParams.FacetRangeInclude[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(FacetParams.FacetRangeInclude c : FacetParams.FacetRangeInclude.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static FacetParams.FacetRangeInclude valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<FacetParams.FacetRangeInclude>`

### get

    public static FacetParams.FacetRangeInclude get(String label)

### parseParam

    public static EnumSet<FacetParams.FacetRangeInclude> parseParam(String[] param)

  Convinience method for parsing the param value according to the correct semantics and applying the default of "LOWER"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD